Skip to main content

The Spanish version is the authoritative reference. View in Spanish

Colombia events

Report mercantile events

Through this method, you can report each of the mercantile statuses or RADIAN statuses of a document (Acknowledgement, Receipt, Claim, Acceptance, etc.).

To make the request in the API, you must enter the following parameters:

ParameterTypeDescriptionAllowed values
ChangeDocumentStatus (request)
globalDocumentId*StringDocument identification in Gosocket.36-character alphanumeric UUID xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
countryDocumentIdStringCountry-level tax identifier of the document, also known as CUFE, CLAVE, UUID, IDSee table Country Document ID Structure
countryIdStringCode of the document's country of issuancear, bo, br, cl, co, cr, ec, gt, mx, pa, pe, py, do, sv, uy
status*IntegerCode of the mercantile status or RADIAN status to report.Example: 30, 31, 32
description*StringDescription of the status to report.Example: Authorized
code*StringDocument type code (invoice, credit note, etc.)1, 2, 3, …

*Required

Mercantile events are identified as follows:

image-20240219-182913.png

RADIAN events are identified as follows:

image-20240219-182952.png


Request example

image-20240219-183116.png

Note: Remember that before using the method, you must authenticate on the Authorization tab.

For this method, we use Postman's Params tab.

  1. Select the method type. In this case, you must select POST.
  2. Enter the method URL.
  3. Enter the parameters shown in the previous table with their corresponding values.
  4. Press Send.

Response example

image-20240219-183328.png

To correctly interpret the API's response, take into account the following criteria:

image-20240219-183422.png


Characteristics of the ChangeDocumentStatus method

  • The method allows reporting the mercantile acknowledgement statuses or RADIAN status one by one.
  • When the CountryDocumentId parameter and the countryId parameter are sent in the request, it is not mandatory to also send the GlobalDocumentId parameter
  • When the value of CountryDocumentId is not known, the GlobalDocumentId parameter must be sent
  • The OtherData parameter can contain the following properties:
{
"Country": "co",
"Certifier": "DIAN",
"AuthorityTimeStamp": "25/07/2022 19:20:31"
}
  • Some examples of rules validated in the process for the messages parameter are:

    • "Evento no puede ser registrado ya que el documento presenta un evento previo de acuse de recibo de la factura electronica de venta."
    • "La Application response 6473921416, ha sido autorizada."
    • "Solo se pueda transmitir el evento (034) Aceptación Tácita de la factura, pasados 3 días hábiles, después de la transmisión del evento (032) recibo del bien o aceptación de la prestación del servicio"
    • "No se puede recibir un reclamo si previamente no se han recibido los eventos Acuse de recibo de la factura electrónica y un recibo de bien y prestación de servicio"
    • "Esta UUID no existe en la base de datos de la DIAN"
  • When the document Id (globalDocumentId) does not exist, the system responds:

{
"Success": false,
"GlobalDocumentId": "00000000-0000-0000-0000-000000000000",
"CountryDocumentId": null,
"OtherData": null,
"Messages": null,
"ResponseValue": null,
"Code": "400",
"Description": "Document Not Found",
"ErrorException": null
}

Let's look at the different scenarios in which we can use this method.